# glm::gtx::vector_angle Namespace Reference

GLM_GTX_vector_angle extension: Compute angle between vectors. More...

## Functions
template<typename vecType >
vecType::value_type | angle (vecType const &x, vecType const &y)
| Returns the absolute angle between x and y.
template<typename vecType >
vecType::value_type | orientedAngle (vecType const &x, vecType const &y)
| Returns the oriented angle between x and y Parameters need to be normalized.
template<typename vecType >
vecType::value_type | orientedAngleFromRef (vecType const &x, vecType const &y, detail::tvec3< typename vecType::value_type > const &ref)
| Returns the orientation of a two vector base from a normal.

## Detailed Description

GLM_GTX_vector_angle extension: Compute angle between vectors.

## Function Documentation

vecType::value_type glm::gtx::vector_angle::angle | ( | vecType const & | x,
|  | vecType const & | y |
| ) |  |  |

Returns the absolute angle between x and y.

Parameters need to be normalized. From GLM_GTX_vector_angle extension

vecType::value_type glm::gtx::vector_angle::orientedAngle | ( | vecType const & | x,
|  | vecType const & | y |
| ) |  |  |

Returns the oriented angle between x and y Parameters need to be normalized.

From GLM_GTX_vector_angle extension.

vecType::value_type glm::gtx::vector_angle::orientedAngleFromRef | ( | vecType const & | x,
|  | vecType const & | y,
|  | detail::tvec3< typename vecType::value_type > const & | ref |
| ) |  |  |

Returns the orientation of a two vector base from a normal.

Parameters need to be normalized. From GLM_GTX_vector_angle extension.